process FASTKMERS {
    tag "$meta.id"
    label 'big_mem_mono_cpus'
    publishDir "results/${meta.specie}/${meta.sex}/${meta.read}/", mode: 'copy'

    container "lbmc/fastkmers:025efdf"

    input:
    tuple val(meta), path(fastq)

    output:
    tuple val(meta), path("*.csv"), emit: csv
    path "versions.yml"           , emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    fastkmers -k ${params.kmer_size} ${fastq} > ${fastq.simpleName}.csv


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        fastkmers: \$(echo \$(fastkmers --version 2>&1))
    END_VERSIONS
    """
}
