/*
 * normalize bam file
 */
process KMC {
    tag "$meta.id"
    label 'process_single'
    publishDir "results/${meta.specie}/${meta.sex}/${meta.read}/", mode: 'copy'

    container "lbmc/kmc:3.2.2"

    input:
    tuple val(meta), path(fastq)

    output:
    tuple val(meta), path("*.csv"), emit: csv
    path "versions.yml"           , emit: versions

    script:
    def args = task.ext.args ?: ''
    """
    kmc -k31 ${fastq} 31mers .
    kmc_tools transform 31mers dump ${fastq.simpleName}.txt


    cat <<-END_VERSIONS > versions.yml
    "${task.process}":
        kmc: 3.2.2 
    END_VERSIONS
    """
}
